apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: {{ catalogsource.name }}
  namespace: openshift-marketplace
spec:
  displayName: '{{ catalogsource.name }}'
  grpcPodConfig:
    nodeSelector:
      kubernetes.io/os: linux
      node-role.kubernetes.io/master: ''
    priorityClassName: system-cluster-critical
    securityContextConfig: restricted
    tolerations:
      - effect: NoSchedule
        key: node-role.kubernetes.io/master
        operator: Exists
      - effect: NoExecute
        key: node.kubernetes.io/unreachable
        operator: Exists
        tolerationSeconds: 120
      - effect: NoExecute
        key: node.kubernetes.io/not-ready
        operator: Exists
        tolerationSeconds: 120
  icon:
    base64data: ''
    mediatype: ''
  image: '{{ mirror_registry.hostname }}:{{ mirror_registry.port }}/{{ mirror_registry.namespace }}/redhat/{{ catalogsource.repository }}:v{{ install_version }}'
  priority: -200
  publisher: Mirror registry Red Hat
  sourceType: grpc
  updateStrategy:
    registryPoll:
      interval: 10m